Cuando actualizar plugins desde gestor de extensiones. ¿Es seguro?  

 
Alceste
 Alceste
Noble Member

Hola,

Quisiera saber si se puede actualizar sin blemas desde el gestor de extensiones. Sé que en algunos componentes com JECE Editior es preferible hacerlo desde el propio componente y así lo hago. Pero por ejemplo, en el caso de plugins, módulos y paquetes de idiomas, ¿puedo actualizar desde el gestor de extensiones o por seguridad debo hacerlo manualmente aunqué sea más lento y engorroso?
(Por supuesto en todos los casos previa copia de seguridad)

Adjunto imagen de lo que me muestra ahora el gestor de extensiones para actualizar. El único componente que ahora me muestra es Xmap, (que no puedo actualizar desde el propio componente). El resto son plugins, módulos y paquetes de idioma.

Saludos y gracias

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 13/12/2013 9:50 am
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

Existen 2 formas de actualizar: se puede utilizar el sistema de actualizaciones automáticas, de forma que las propias extensiones detectan que hay una actualización y se muestra en la pestaña Actualizar del Gestor de Extensiones. Este proceso de actualización automática no siempre funciona, por ejemplo en el caso de que no pueda obtener el paquete con la actualización.

El otro sistema sería más manual. Consiste en descargarse la última versión de la extensión (componente, módulo, plugin, plantilla, paquete de idiomas) e instalarlo desde la pestaña Instalar del Gestor de Extensiones. Dependiendo de la extensión es posible que haya desinstalar la extensión que se quiera actualizar o no. Normalmente no es necesario.

Estos 2 sistemas son seguros y no deberían causar problemas, aunque por precaución es recomendable realizar una copia de seguridad completa de la web antes de actualizar. También hay que tener en cuenta que si se han aplicado cambios en el código de alguna extensión estos se podrán perder con la actualización.

Otros sistema de actualización más manuales, como sobreescribir los archivos de la extensión no son recomendables, ya que es posible que la nueva versión de la extensión incluyan cambios en las tablas de la base de datos y estos no quedarían aplicados.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 13/12/2013 11:31 am

wpdoctor-revisa-la-salud-de-tu-wordpress

Alceste
 Alceste
Noble Member

Hola Pablo,

Gracias me queda claro. Solo tengo una duda que prefiero preguntar por precaución. En el caso de que usando el proceso de actualización automática no funcione porque no pueda obtener el paquete con la actualización, ¿esto puede dar problemas graves o simplemente no se actualiza y ya está?, de modo que luego puedes proceder a actualizarlo bajando la última versión e instalándola con el "segundo método".

Lo digo porqué si lo único que puede ocurrir es que no se actualice alguna cosa, entonces intentaría primero actualizarlo des de el gestor de extensiones. En cambio, si que falle significa que te puede organizar un problema gordo entonces ya prescindiría de esta opción y lo haría directamente con la segunda.

Espero que se entienda lo que quiero decir 🙂

Este proceso de actualización automática no siempre funciona, por ejemplo en el caso de que no
pueda obtener el paquete con la actualización.

Saludos y gracias!

ResponderCitar
Respondido : 13/12/2013 12:02 pm
Jordi Sala
 Jordi Sala
Miembro Admin

Hola Alceste,

Si el mensaje es que el paquete no se puede obtener, no se inicia ningún proceso de actualización, puesto que el primer paso es obtener los archivos (paquete).

De todas formas, antes de cualquier proceso de actualización de un sitio web es imprescindible realizar una copia de seguridad del sitio web, por si algo falla, poder restaurar a un estado anterior.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio

ResponderCitar
Respondido : 13/12/2013 12:41 pm

Cursos Gratuitos WordPress

Alceste
 Alceste
Noble Member

Hola Jordi,

Gracias. Solo quería saber eso. Por supuesto haciendo copia de seguridad por prudencia.

Saludos 🙂

ResponderCitar
Respondido : 13/12/2013 12:59 pm

Por favor Iniciar Sesión o Registro